package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 甘特图日历请求参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-11
 * @Modify:
 **/
@Data
public class GanttCalendarModel {
    private String resourceId;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date startDate;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date endDate;
    private String cls;
    private String eventColor;
    private String name;

    /**
     * 完成百分比
     */
    private Double percentDone;
}
