package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 订单甘特图工作块
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-11
 * @Modify:
 **/
@Data
public class GanttResourceModel extends APSPager {
    private Boolean hasEmptyResource;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date begin;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date end;
}
