package cn.estsh.i3plus.pojo.bsp.client.bean.po;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author ns
 * @create 2021/5/26 0026 下午 14:33
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("执行器注册的信息")
public class RegistryParam  implements Serializable {
    @ApiParam("执行器的名称")
    private String appname;
    @ApiParam("执行器的地址")
    private String address;
    @ApiParam(value = "注册类型 1:自动 2:手动", defaultValue = "1")
    private Integer registryType;
    @ApiParam("执行器注册的方法信息")
    private List<MethodRegistryParam> methodRegistryParamList;

}
