package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/21 10:40
 * @Modify:
 **/
@Data
@AllArgsConstructor
@ApiModel("添加方法组")
public class MethodGroupModel {

    @ApiModelProperty("方法组的名称")
    private String methodGroupName;

    @ApiModelProperty("方法组的描述")
    private String description;

    @ApiModelProperty("方法组层级列表")
    private List<MethodLevelModel> methodLevel;

    @ApiModelProperty("方法组分类")
    private String classify;

}
