package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/7/7 16:15
 * @desc
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("通用界面回显model")
public class ScrDisplayModel implements Serializable {
    private static final long serialVersionUID = 5679787673783301941L;

    @ApiModelProperty("页面与容器的关系")
    private ScrScreenPanelModel screenPanelModel;

    @ApiModelProperty("容器与组件的关系")
    private List<ScrPanelComponentModel> panelComponentModels;
}
