package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.screen.bean.ScrModelField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/5/14 09:58
 * @desc
 */
@Data
@Builder
@ApiModel("响应Model")
public class ScrResponseModel implements Serializable {
    private static final long serialVersionUID = 3032944214160845525L;

    @ApiModelProperty("模型代码")
    private String modelCode;

    @ApiModelProperty("动作代码")
    private String actionCode;

    @ApiModelProperty("分页")
    private Pager pager;

    @ApiModelProperty("模型字段")
    private List<ScrModelField> modelFields;

    @ApiModelProperty("数据")
    private List<Object> data;


}
