package cn.estsh.i3plus.pojo.aps.bean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * @Description :取消计划规则
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_CANCEL_PLAN_RULE")
@Api("取消计划规则")
public class CancelPlanRule extends BaseRule {
    private static final long serialVersionUID = 2674055522875545446L;

    @Lob
    @Column(name="WORK_FILTERS")
    @ApiParam(value ="工作筛选")
    private String workFilters;
}
