package cn.estsh.i3plus.pojo.aps.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 规则执行结果明细
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-04-15
 * @Modify:
 **/
@Data
public class RuleDetailModel {
    @ApiParam(value ="主执行进度")
    private Integer mainProcess = 0;

    @ApiParam(value ="总规则数")
    private Integer mainSize = 0;

    @ApiParam(value ="当前执行进度")
    private Integer curProcess = 0;

    @ApiParam(value ="总行数")
    private Integer totalSize = 0;

    @ApiParam(value ="进度消息")
    private String processMsg = "";

    @ApiParam(value ="进度消息明细")
    private String subMsg = "";

    private Boolean finish = false;

    @ApiParam(value ="异常消息")
    private String exception = "";

    @ApiParam(value ="错误信息")
    private ImportErrorInfo errorInfo;

    public void addProcess() {
        this.curProcess += 1;
    }
}
