package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.bean.Work;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * @Description : 排程结果信息
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-22
 * @Modify:
 **/
@Data
public class ScheduleResultModel {
    @ApiParam(value ="排程开始时间")
    private Date beginTime;

    @ApiParam(value ="排程结束时间")
    private Date endTime;

    @ApiParam(value ="参与排程的工作")
    private Set<Work> works = new HashSet<>();
}
