package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/21 10:50
 * @Modify:
 **/
@Data
@AllArgsConstructor
@ApiModel("添加方法组层级")
public class MethodLevelModel {

    @ApiModelProperty("方法Id")
    private Long methodId;
    @ApiModelProperty("方法名称")
    private String methodName;
    @ApiModelProperty("方法层级")
    private String level;
    @ApiModelProperty("参数列表")
    List<MethodLevelParamModel> paramModels;
}
