package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/15 9:35
 * @Modify:
 **/
@Data
@AllArgsConstructor
@ApiModel("方法注册参数")
public class RegistryMethodParamInfo {

    @ApiModelProperty("参数名")
    private String name;

    @ApiModelProperty("参数类型，入参1，出参0")
    private Integer type;

    @ApiModelProperty("数据类型，基本数据类型")
    private String typeName;


}
