package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description :路由参数
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/7/5 14:02
 * @Modify:
 **/
@Data
@ApiModel("路由参数")
public class RouteParam {

    @ApiModelProperty(value = "执行方法Id")
    private Long methodId;
    @ApiModelProperty(value = "路由的权重配置")
    private Map<String,Integer> weightConfig;
    @ApiModelProperty(value = "执行器地址列表")
    private List<String> addressList;
}
