package cn.estsh.i3plus.pojo.bsp.server.bean.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description :Dashboard  总方法数、总应用数、总实例数（总数，启用数，禁用数）
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/9/8 14:44
 * @Modify:
 **/
@ApiModel("Dashboard数据")
@Data
public class DashboardSummaryVo {

    @ApiModelProperty("总方法数")
    private Integer totalMethodNum;
    @ApiModelProperty("启用方法数")
    private Integer enableMethodNum;
    @ApiModelProperty("禁用方法数")
    private Integer disableMethodNum;

    @ApiModelProperty("总应用数")
    private Integer totalAppNum;
    @ApiModelProperty("启用应用数")
    private Integer enableAppNum;
    @ApiModelProperty("禁用方法数")
    private Integer disableAppNum;

    @ApiModelProperty("总实例数")
    private Integer totalInstanceNum;
    @ApiModelProperty("启动实例数")
    private Integer enableInstanceNum;
    @ApiModelProperty("禁用实例数")
    private Integer disableInstanceNum;

}
