package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :解锁密码
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2021-10-08
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_UNLOCK_PASSWORD")
@Api("mes解锁密码表")
public class MesUnlockPassword extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3534232746289126115L;

    @Column(name = "EMPLOYEE_NUMBER")
    @ApiParam("员工编号")
    private String employeeNumber;

    @Column(name = "EMPLOYEE_NAME")
    @ApiParam("员工姓名")
    private String employeeName;

    @Column(name = "UNLOCK_PASSWORD")
    @ApiParam("解锁密码")
    private String unlockPassword;
}
