package cn.estsh.i3plus.pojo.screen.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/6/29 17:18
 * @desc
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("通用界面内部消息队列处理消息")
public class ScrInnerMessageModel implements Serializable {
    private static final long serialVersionUID = -6049477827975249515L;

    @ApiModelProperty("消息类型")
    private Integer messageType;

    @ApiModelProperty("信息")
    private String payload;

    @ApiModelProperty
    private Integer operation;


}
