package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrLayout;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrLayoutItem;
import cn.estsh.i3plus.pojo.screen.bean.diagram.ScrPanel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/27 下午6:10
 * @desc
 */
@Data
@ApiModel("容器布局model")
public class ScrPanelLayoutModel implements Serializable {
    private static final long serialVersionUID = 3311398396212346985L;

    @ApiModelProperty("panel")
    private ScrPanel panel;

    @ApiModelProperty("布局")
    private ScrLayout layout;

    @ApiModelProperty("布局中的单元关系")
    private List<ScrLayoutItem> layoutItems;

}
